Bug 494458

Summary: tigervnc needs to link to system libjpeg
Product: [Fedora] Fedora Reporter: Toshio Ernie Kuratomi <a.badger>
Component: tigervncAssignee: Adam Tkac <atkac>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: atkac, ovasik
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-22 05:37:26 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Toshio Ernie Kuratomi 2009-04-06 20:26:18 EDT
Description of problem:
tigervnc currently links to an internal copy of libjpeg.  This isn't allowed under the Packaging Guidelines for security and maintainability concerns which have been hashed out on the mailing lists and in the Guidelines.

Version-Release number of selected component (if applicable):
tigervnc-0.0.90-0.4.20090403svn3751

Additional info:

The tigervnc version of libjpeg has speedups using SSE2/MMX acceleration on x86 platforms.  Getting those changes merged into either upstream libjpeg or our package would enable us to get large performance gains.  tigervnc reports 40% less CPU usage on relevant platforms with the patch applied.
Comment 1 Bug Zapper 2009-06-09 09:22:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:32:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Toshio Ernie Kuratomi 2010-04-27 10:45:25 EDT
This is still a problem.
Comment 4 Adam Tkac 2010-04-28 05:09:38 EDT
(In reply to comment #3)
> This is still a problem.    

Right. Btw TigerVNC developers already founded http://sourceforge.net/projects/libjpeg-turbo project which contains TigerVNC version of libjpeg. But I don't want to pull that library to distro till we don't discuss with libjpeg upstream if we would like to join both project together or not. I hope final decision will be made during F14 development process.
Comment 5 Adam Tkac 2010-07-22 05:37:26 EDT
Fixed in tigervnc-1.0.90-0.17.20100721svn4113.fc14.